## dune-grid-glue 2.11.0~git20251211

=== debian/changelog ===
dune-grid-glue (2.11.0~git20251211-1) experimental; urgency=medium

  * New upstream release (2.11.0~git20251211).
  * d/control: Depend on DUNE packages >= 2.11.0

 -- Markus Blatt <markus@dr-blatt.de>  Sun, 04 Jan 2026 20:01:43 +0100

=== debian/control ===
Source: dune-grid-glue
Section: libs
Priority: optional
Standards-Version: 4.7.0
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Ansgar <ansgar@debian.org>, Markus Blatt <markus@dr-blatt.de>
Vcs-Browser: https://salsa.debian.org/science-team/dune-grid-glue
Vcs-Git: https://salsa.debian.org/science-team/dune-grid-glue.git
Homepage: https://www.dune-project.org/modules/dune-grid-glue/
Build-Depends: debhelper-compat (= 13),
 cmake, gfortran, mpi-default-bin, mpi-default-dev, pkgconf, python3,
 libdune-common-dev (>= 2.11.0~),
 libdune-grid-dev (>= 2.11.0~),
 chrpath
Build-Depends-Indep: doxygen, graphviz, imagemagick
Rules-Requires-Root: no

Package: libdune-grid-glue-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
 libdune-common-dev (>= 2.11.0~),
 libdune-grid-dev (>= 2.11.0~)
Suggests: libdune-grid-glue-doc (= ${source:Version})
Provides: ${dune:shared-library}
Description: toolbox for solving PDEs -- compute couplings between grids (development files)
 DUNE, the Distributed and Unified Numerics Environment is a modular toolbox
 for solving partial differential equations (PDEs) with grid-based methods.
 It supports the easy implementation of methods like Finite Elements (FE),
 Finite Volumes (FV), and also Finite Differences (FD).
 .
 dune-grid-glue provides infrastructure for the coupling of two
 unrelated DUNE grids. The coupling may be overlapping or
 nonoverlapping, conforming or nonconforming. The two grids are not
 required to be of the same type, and they may even be of different
 dimensions.
 .
 This package contains the development files.

Package: libdune-grid-glue-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Built-Using: ${dune:doc:Built-Using}
Description: toolbox for solving PDEs -- compute couplings between grids (documentation)
 DUNE, the Distributed and Unified Numerics Environment is a modular toolbox
 for solving partial differential equations (PDEs) with grid-based methods.
 It supports the easy implementation of methods like Finite Elements (FE),
 Finite Volumes (FV), and also Finite Differences (FD).
 .
 dune-grid-glue provides infrastructure for the coupling of two
 unrelated DUNE grids. The coupling may be overlapping or
 nonoverlapping, conforming or nonconforming. The two grids are not
 required to be of the same type, and they may even be of different
 dimensions.
 .
 This package contains the documentation.

## dune-grid-glue 2.11.0

=== CMakeLists.txt ===
# SPDX-FileCopyrightInfo: Copyright © DUNE Project contributors, see file LICENSE.md in module root
# SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-GPL-2.0-only-with-dune-grid-glue-exception

cmake_minimum_required(VERSION 3.16)
project(dune-grid-glue CXX)

if(NOT (dune-common_DIR OR dune-common_ROOT OR
      "${CMAKE_PREFIX_PATH}" MATCHES ".*dune-common.*"))
    string(REPLACE  ${CMAKE_PROJECT_NAME} dune-common dune-common_DIR
      ${PROJECT_BINARY_DIR})
endif()

#find dune-common and set the module path
find_package(dune-common REQUIRED)
list(APPEND CMAKE_MODULE_PATH ${dune-common_MODULE_PATH}
  "${PROJECT_SOURCE_DIR}/cmake/modules")

#include the dune macros
include(DuneMacros)

# start a dune project with information from dune.module
dune_project()

# Create library target and export it as Dune::GridGlue
dune_add_library(dunegridglue EXPORT_NAME GridGlue NAMESPACE Dune::
    LINK_LIBRARIES ${DUNE_LIBS})

dune_register_package_flags(LIBRARIES dunegridglue)

add_subdirectory("dune")
add_subdirectory("doc")
add_subdirectory("examples")

# finalize the dune project, e.g. generating config.h etc.
if(dune-common_VERSION VERSION_GREATER_EQUAL 2.10.0)
    finalize_dune_project()
else()
    finalize_dune_project(GENERATE_CONFIG_H_CMAKE)
endif()

=== dune/grid-glue/merging/CMakeLists.txt ===
# SPDX-FileCopyrightInfo: Copyright © DUNE Project contributors, see file LICENSE.md in module root
# SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-GPL-2.0-only-with-dune-grid-glue-exception

#install headers
install(FILES
  computeintersection.hh
  computeintersection.cc
  conformingmerge.hh
  contactmerge.cc
  contactmerge.hh
  intersectionlist.hh
  merger.hh
  overlappingmerge.cc
  overlappingmerge.hh
  simplexintersection.cc
  standardmerge.hh
  DESTINATION include/dune/grid-glue/merging)

if(dune-common_VERSION VERSION_GREATER_EQUAL 2.10.0)
    target_sources(dunegridglue PRIVATE standardmerge.cc)
else()
    dune_add_library(dunegridglue
            standardmerge.cc
            ADD_LIBS ${DUNE_LIBS})
endif()

=== dune/grid-glue/test/CMakeLists.txt ===
# SPDX-FileCopyrightInfo: Copyright © DUNE Project contributors, see file LICENSE.md in module root
# SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-GPL-2.0-only-with-dune-grid-glue-exception

# Link all tests to the module target
link_libraries(Dune::GridGlue)

dune_add_test(SOURCES callmergertwicetest.cc)
dune_add_test(SOURCES ringcommtest.cc
              MPI_RANKS 1 2 3 4 5 6 7 8 9 10
              TIMEOUT 300
              CMAKE_GUARD MPI_FOUND)
dune_add_test(SOURCES computecyclicordertest.cc)
dune_add_test(SOURCES disconnectedtest.cc
              CMAKE_GUARD UG_FOUND)
dune_add_test(SOURCES mixeddimcouplingtest.cc)
dune_add_test(SOURCES mixeddimoverlappingtest.cc)
dune_add_test(SOURCES mixeddimscalingtest.cc)
dune_add_test(SOURCES nonoverlappingcouplingtest.cc
              MPI_RANKS 1 2 4
              TIMEOUT 300
              COMPILE_DEFINITIONS "CALL_MERGER_TWICE")
dune_add_test(SOURCES overlappingcouplingtest.cc
              COMPILE_FLAGS "-frounding-math")
dune_add_test(SOURCES projectiontest.cc)

=== debian/changelog ===
dune-grid-glue (2.11.0-1~exp1) experimental; urgency=medium

  * New upstream version 2.11.0
  * Added debian/gdb.conf for dep-14 branch name convention
  * Added config for salsa C

 -- Markus Blatt <markus@dr-blatt.de>  Wed, 28 Jan 2026 22:51:21 +0100
